aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMasaya Tojo <masaya@tojo.tokyo>2021-07-31 22:39:04 +0900
committerMasaya Tojo <masaya@tojo.tokyo>2021-07-31 22:39:04 +0900
commit8b793fe457bad583213735d49fed4f78995732f2 (patch)
tree9d1492a85ed5a2ba87da0708eb2ce47628705d22
parent78bf995193a98fc341b68ba19c47000ae6f997c8 (diff)
Add `acl2-theorems` job.
-rwxr-xr-xcfg/jobs/acl2-theorems.before3
-rwxr-xr-xcfg/jobs/acl2-theorems.run5
-rw-r--r--cfg/jobs/acl2-verify.sh11
3 files changed, 19 insertions, 0 deletions
diff --git a/cfg/jobs/acl2-theorems.before b/cfg/jobs/acl2-theorems.before
new file mode 100755
index 0000000..da530b7
--- /dev/null
+++ b/cfg/jobs/acl2-theorems.before
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+guix environment --ad-hoc nss-certs git -- git clone https://git.tojo.tokyo/acl2-theorems.git .
diff --git a/cfg/jobs/acl2-theorems.run b/cfg/jobs/acl2-theorems.run
new file mode 100755
index 0000000..9df1723
--- /dev/null
+++ b/cfg/jobs/acl2-theorems.run
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+for path in $(find -type f -name '*.lisp'); do
+ laminarc run acl2-verify path="$path"
+done
diff --git a/cfg/jobs/acl2-verify.sh b/cfg/jobs/acl2-verify.sh
new file mode 100644
index 0000000..ea65156
--- /dev/null
+++ b/cfg/jobs/acl2-verify.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+echo "--- acl2 verify: $path ---"
+{
+ echo ':q'
+ echo '(setf sb-ext:*invoke-debugger-hook* (lambda (c h) (declare (ignore c h)) (format t "~%~a~%" "******** FAILED ********") (sb-ext:quit)))'
+ echo '(lp)'
+ cat "$path"
+} |\
+ guix environment --pure acl2 -- acl2 |\
+ awk '{ print } ; $0 == "******** FAILED ********" { exit 1 }'